package crafttweaker.mc1120.recipes;

import crafttweaker.api.item.IItemStack;
import crafttweaker.api.recipes.*;
import net.minecraft.inventory.InventoryCrafting;
import net.minecraft.item.ItemStack;
import net.minecraft.item.crafting.*;
import net.minecraft.util.NonNullList;
import net.minecraft.world.World;

import static crafttweaker.api.minecraft.CraftTweakerMC.getItemStack;

/**
 * @author Stan
 */
public class ShapedRecipeBasic extends ShapedRecipes implements IMTRecipe {

    private final ShapedRecipe recipe;

    public ShapedRecipeBasic(String name, NonNullList<Ingredient> basicInputs, ShapedRecipe recipe) {
        super(name, recipe.getWidth(), recipe.getHeight(), basicInputs, getItemStack(recipe.getOutput()));

        this.recipe = recipe;
    }

    @Override
    public boolean func_77569_a(InventoryCrafting inventory, World world) {
        return recipe.matches(MCCraftingInventory.get(inventory));
    }

    @Override
    public ItemStack func_77572_b(InventoryCrafting inventory) {
        IItemStack result = recipe.getCraftingResult(MCCraftingInventory.get(inventory));
        if(result == null) {
            return ItemStack.field_190927_a;
        } else {
            return getItemStack(result).func_77946_l();
        }
    }

    @Override
    public ICraftingRecipe getRecipe() {
        return recipe;
    }
}
